module Test.HUnit.Gui.Descriptions (describeError, describeFailure)
where

import Test.HUnit.Base
import Test.HUnit.Text (showPath)

describeError :: String -> State -> String
describeError = describeProblem

describeFailure :: String -> State -> String
describeFailure = describeProblem

describeProblem :: String -> State -> String
describeProblem msg state =
    let path' = path state
    in if null path'
       then msg
       else (showPath path') ++ ":\n" ++ msg

